
%define debug_package %{nil}
Name:    tezos-accuser-Proxford
Version: 20.0
Release: 3
Epoch: 1
Summary: Daemon for accusing
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-accuser-Proxford-20.0.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v20.0/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , udev
%description
Daemon for accusing
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-accuser-Proxford
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-accuser-Proxford %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-accuser-Proxford %{buildroot}/%{_bindir}/tezos-accuser-Proxford



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-proxford.service %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-proxford@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-accuser-proxford.default %{buildroot}/%{_sysconfdir}/default/tezos-accuser-proxford

install -m 0755 tezos-accuser-proxford-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-accuser-Proxford
%{_bindir}/tezos-accuser-Proxford

%{_bindir}/tezos-accuser-proxford-start

%{_unitdir}/tezos-accuser-proxford.service
%{_unitdir}/tezos-accuser-proxford@.service

%{_sysconfdir}/default/tezos-accuser-proxford



%post
%systemd_post tezos-accuser-proxford.service
%systemd_post tezos-accuser-proxford@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-accuser-proxford.service
%systemd_preun tezos-accuser-proxford@.service


%postun
%systemd_postun_with_restart tezos-accuser-proxford.service
%systemd_postun_with_restart tezos-accuser-proxford@.service



